<template>
  <div id="app">
    <header>
      <CustomMenu></CustomMenu>
    </header>
    <main>
      <div class="col-12">
      </div>
      <transition name="fade" mode="out-in">
        <router-view></router-view>
      </transition>
    </main>
  </div>
</template>

<script>
import CustomMenu from '@/components/shared/Menu.vue';
import { getInfo } from '@/api/auth.service.js';
export default {
  name: 'app',
  components: {
    CustomMenu
  },
  computed: {
    user() {
      return this.$store.getters.getCurrentUser;
    }
  },
  created() {
    if (localStorage.getItem('token')) {
      getInfo(localStorage.getItem('token')).then((response) => {
        let user = response.body.data;
        this.$store.dispatch('setCurrentUser', user);
        // this.$router.go({
        //   name:"Login"
        // });
      });
    }
  }
}
</script>

<style>
.inline{
  float: right;
  margin-top:10px;
}
html,body {
  overflow-x: hidden;
  margin: 0;
}

#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

main {
  text-align: center;
  margin-top: 40px;
}

header {
  height: 80px;
  padding: 0 16px 0 24px;
  padding-top:8px;
  background-color: #5bc0de ;
  color: #ffffff;
}

header span {
  font-size: 26px;
  margin-top: 10px;
}

.fade-enter-active,
.fade-leave-active {
  transition-property: opacity;
  transition-duration: .1s;
}

.fade-enter-active {
  transition-delay: .1s;
}

.fade-enter,
.fade-leave-active {
  opacity: 0
}

th {
  text-align: center !important;
}

.logo {
  height: 60px;
  width: 60px;
}
</style>
